Just swapped nouveau out for the nvidia driver from rpmfusion following 
https://rpmfusion.org/Howto/NVIDIA. Basically I did 

dnf install xorg-x11-drv-nvidia-340xx akmod-nvidia-340xx "kernel-devel-
uname-r == $(uname -r)"
dnf update -y


Reboot and startx and only one (of 2) monitor was working, the other was 
blank. I ran 

nvidia-config

and this created a /etc/X11/xorg.conf, then restarted the X server and 
both monitors are up and running and I'm running the nvidia drivers: 

28) root:~> lsmod | grep nvidia
nvidia              10563584  24
drm                   348160  4 nvidia
29) root:~> lsmod | grep nouveau
30) root:~> 


Now the problems: 

30) root:~> glxinfo
name of display: :0.0
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  154 (NV-GLX)
  Minor opcode of failed request:  4 ()
  Resource id in failed request:  0x4a00009
  Serial number of failed request:  56
  Current serial number in output stream:  56
31) root:~> glxgears
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  154 (NV-GLX)
  Minor opcode of failed request:  4 ()
  Resource id in failed request:  0x4a00002
  Serial number of failed request:  38
  Current serial number in output stream:  38
32) root:~> xdriinfo 
libGL is too old.
33) root:~> 

I think all this has to do with libGL. 

34) root:~> ldd /usr/bin/glxgears | grep libGL
        libGL.so.1 => /usr/lib64/nvidia-340xx/libGL.so.1 
(0x00007f55a0e8c000)

so that points to the nvidia libGL. But I have 


35) root:~> ls -l /usr/lib64/libGL.so*
lrwxrwxrwx. 1 root root     14 Jul  6 04:12 /usr/lib64/libGL.so -> 
libGL.so.1.0.0
lrwxrwxrwx. 1 root root     14 Jul  6 04:12 /usr/lib64/libGL.so.1 -> 
libGL.so.1.0.0
-rwxr-xr-x. 1 root root 581840 Jul  6 04:12 /usr/lib64/libGL.so.1.0.0

and

36) root:~> rpm -qf /usr/lib64/libGL.so.1.0.0 
libglvnd-glx-0.2.999-19.20170620gitd850cdd.fc26.x86_64

Of course, nvidia provides its own libGL: 

37) root:~> rpm -qf /usr/lib64/nvidia-340xx/libGL.so.*
xorg-x11-drv-nvidia-340xx-libs-340.102-1.fc26.x86_64
xorg-x11-drv-nvidia-340xx-libs-340.102-1.fc26.x86_64



Finally, the mess: 

38) root:~> rpm -e --test libglvnd-glx
error: Failed dependencies:
        libGL is needed by (installed) python2-pyglet-1.2.4-3.fc26.noarch
        libGL.so.1()(64bit) is needed by (installed) qt-
x11-1:4.8.7-28.fc26.x86_64
        libGL.so.1()(64bit) is needed by (installed) mesa-
libGLU-9.0.0-11.fc26.x86_64
        libGL.so.1()(64bit) is needed by (installed) xorg-x11-server-
Xorg-1.19.3-4.fc26.x86_64
        libGL.so.1()(64bit) is needed by (installed) 
Coin3-3.1.3-19.fc26.x86_64
        libGL.so.1()(64bit) is needed by (installed) 
fltk-1.3.4-1.fc26.x86_64
        libGL.so.1()(64bit) is needed by (installed) 
fox-1.6.54-1.fc26.x86_64
        libGL.so.1()(64bit) is needed by (installed) glx-
utils-8.3.0-6.fc26.x86_64

and MANY more. So I can't uninstall the libGL provided by fedora, it would 
take out too many packages with it, including the X server.


Can I choose which libGL to use with alternatives somehow? How do switch 
everything to use the nvidia libGL? 

I assume there are people there who are using the nvidia driver right now, 
some maybe using the rpmfusion rpms. Can someone post which libGL they 
have installed on their system and how they got the whole thing to work?

Thanks!
_______________________________________________
users mailing list -- users@lists.fedoraproject.org
To unsubscribe send an email to users-le...@lists.fedoraproject.org

Reply via email to